//
//  @file KXR-L6_Walk_HomePos.ino
//  @brief KXR-L6_Walk_HomePos
//  @author Kondo Kagaku Co.,Ltd.
//  @date 2020/3/31
//
//  KXR-L6をArduino MEGAからsetPosでホームポジションにします。
//
//  MEGAのUART1、UART2で通信

#include <IcsHardSerialClass.h>

const byte EN_PIN1 = 34;
const byte EN_PIN2 = 3;
const long BAUDRATE = 115200;
const int TIMEOUT = 1000;    //通信できてないか確認用にわざと遅めに設定

IcsHardSerialClass krs1(&Serial1,EN_PIN1,BAUDRATE,TIMEOUT);  //インスタンス＋ENピン(34番ピン)およびUART1の指定　左半身
IcsHardSerialClass krs2(&Serial2,EN_PIN2,BAUDRATE,TIMEOUT);  //インスタンス＋ENピン(3番ピン)およびUART2の指定　右半身


void setup() {

  krs1.begin();  //サーボモータの通信初期設定
  krs2.begin();  //サーボモータの通信初期設定

  delay(1000);
}

void loop() {

  krs1.setPos(1, 6300);
  krs1.setPos(2, 7200);
  krs1.setPos(3, 9800);
  krs1.setPos(4, 7500);
  krs1.setPos(5, 7200);
  krs1.setPos(6, 9800);
  krs1.setPos(7, 8700);
  krs1.setPos(8, 7200);
  krs1.setPos(9, 9800);
  
  krs2.setPos(1, 8700);
  krs2.setPos(2, 7200);
  krs2.setPos(3, 9800);
  krs2.setPos(4, 7500);
  krs2.setPos(5, 7200);
  krs2.setPos(6, 9800);
  krs2.setPos(7, 6300);
  krs2.setPos(8, 7200);
  krs2.setPos(9, 9800);

}
